Bug 1127415 - xpra: build with OpenGL
xpra: build with OpenGL
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Luigi Baldoni
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-28 18:52 UTC by Mikhail Novosyolov
Modified: 2019-04-04 13:53 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Novosyolov 2019-02-28 18:52:16 UTC
xpra is build with --without-opengl, why? It makes screen output slow and laggy.
Comment 1 Luigi Baldoni 2019-03-01 08:03:11 UTC
@Jon you followed that bit, can you remember the rationale behind it?
Comment 2 Luigi Baldoni 2019-03-01 10:20:51 UTC
Could you please try xpra from this repository and tell if it solves your problem?

https://download.opensuse.org/repositories/home:/alois:/branches:/X11:/Utilities/openSUSE_Tumbleweed/
Comment 3 Jon Brightwell 2019-03-01 11:58:13 UTC
Build requirements for OGL were included. I don't remember an issue with it on oS, only buffer issues with ubuntu.

diff with ogl enabled and a build error fixed.
https://build.opensuse.org/package/rdiff/home:moozaad:branches:X11:Utilities/xpra?opackage=xpra&oproject=X11%3AUtilities&rev=3
Comment 4 Luigi Baldoni 2019-03-01 13:57:42 UTC
Ok, waiting for confirmation from reporter.
Comment 5 Luigi Baldoni 2019-03-04 09:28:34 UTC
Qui tacet, consentire videtur.
Comment 6 Luigi Baldoni 2019-03-05 17:06:34 UTC
opengl also requires pygtkglext, stay tuned.
Comment 7 Luigi Baldoni 2019-03-14 14:21:40 UTC
python-pygtkglext is a pain to package, any volunteers?
Comment 8 Mikhail Novosyolov 2019-03-14 18:32:30 UTC
(In reply to Luigi Baldoni from comment #7)
> python-pygtkglext is a pain to package, any volunteers?

It's packaged here: https://packages.altlinux.org/en/sisyphus/specfiles/python-module-pygtkglext
May be it can help.

P.S. I've never packaged for openSUSE and unfortunately currently don't have time for it
Comment 9 Luigi Baldoni 2019-03-14 21:54:17 UTC
> It's packaged here: https://packages.altlinux.org/en/sisyphus/specfiles/python-module-pygtkglext
>May be it can help.

Thing is altlinux uses gtkglext 1.2.0 stable and openSUSE a git release which appears to have an incompatible API.
You can see the failing packag ein my home.

> P.S. I've never packaged for openSUSE and unfortunately currently don't have time for it

I'm afraid patching pygtkglext is beyond my skills. At any rate I don't have the time to study the question in depth.

So, if there aren't other volunteers, we'll have to stay without OpenGL at least until the python3 migration.
Comment 10 Mikhail Novosyolov 2019-03-14 22:57:37 UTC
(In reply to Luigi Baldoni from comment #9)
> You can see the failing packag ein my home.

Please give a link to it
Comment 11 Luigi Baldoni 2019-03-15 11:20:50 UTC
> Please give a link to it

https://build.opensuse.org/package/show/home:alois/python-pygtkglext
Comment 12 Luigi Baldoni 2019-03-26 16:00:32 UTC
Updated xpra to 2.5, it should no longer rely on pygtkglext.

Could you please test the new version in X11:Utilities?
Comment 13 Luigi Baldoni 2019-04-04 13:53:46 UTC
Updated package accepted into Factory.